Bug 1654598 - CVv with mirror_on_sync repo is being imported
Summary: CVv with mirror_on_sync repo is being imported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Released
Assignee: Chris Roberts
QA Contact: Jitendra Yejare
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks: 1644596
TreeView+ depends on / blocked
 
Reported: 2018-11-29 08:13 UTC by Jitendra Yejare
Modified: 2019-10-07 17:19 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello hammer-cli-katello pull 626 None None None 2019-01-31 16:21:07 UTC
Foreman Issue Tracker 25947 None None None 2019-01-30 17:48:28 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:27 UTC

Description Jitendra Yejare 2018-11-29 08:13:36 UTC
Description of problem:
The Content View version with mirror_on-sync repo is importing and exporting

Version-Release number of selected component (if applicable):
Satellite 6.5.0 snap 5

How reproducible:
Always

Steps to Reproduce:
1. create a Repository with mirror_on_sync on, under some product.
2. Add this repo to the CV.
3. Publish the CV
4. Export the CVv to some location
5. Attempt to import the contents from exported location by another sat/org

Actual results:
Satellite/Org is able to import the mirror_on_sync enabled repo contents

Expected results:
1. Satellite/Org should not be able to import mirror_on_sync repo contents
2. The proper error message should be shown to the user for import failure.

Additional info:

Comment 5 Jitendra Yejare 2019-02-04 09:40:52 UTC
Verified!

@ satellite 6.5 snap 14


Steps:
---------
1. created a Repository with mirror_on_sync on, under some product.
2. Added this repo to the CV.
3. Publish the CV
4. Export the CVv to some location
5. Attempt to import the contents from the exported location by another sat/org, and by creating a mirror on sync repo on importing side.


Behavior:
-------------

The import is not aborted with correct error:

# hammer content-view version import --export-tar /var/lib/pulp/katello-export/export-mos_cv-12.tar --organization-id 1
Could not import the content view:
  Error: The Repository 'mos_repo' is set with Mirror-on-Sync to YES. Please change Mirror-on-Sync to NO and try the import again

Comment 8 errata-xmlrpc 2019-05-14 12:39:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.